package de.beyondsoft.ownchat.page.login;

import de.beyondsoft.ownchat.page.main.LogoutNavigation;
import de.beyondsoft.ownchat.page.main.MainNavigation;
import de.beyondsoft.ownchat.page.mvp.MVPLceView;

/**
 * Created by laszloffiferenc on 2/21/17.
 */
interface LoginView extends MVPLceView {
    void loginSuccessful();

    void setCallback(Callback callback);

    void customerIdIsValid();

    void customerIdIsNotValid(int status);

    void retrievedUploadMaxSize();

    interface Callback {
        void verifyChatCode(LogoutNavigation logoutNavigation);

        void retrieveUploadMaxSize();

        void checkTypeAndCustomerId(String customerId, String password, boolean isChecked);

        void tryToLogin(String email, String password, String chatCode);

        void tryToRegisterDevice(String deviceId, String fcmToken);

        void logout(String deviceId, boolean clearAllPrefs, MainNavigation mainNavigation);

        void tryToLogout(String deviceId, MainNavigation mainNavigation);
    }
}
